petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSSSPSetType

set the SSP time integration scheme to use

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSSSPSetType(TS ts,TSSSPType type)

Logically Collective Many br

### Input Arguments

ts - time stepping object Many brtype - type of scheme to use Many br

### Options Database Keys

-ts_ssp_type <rks2>: Type of SSP method (one of) rks2 rks3 rk104 Many br-ts_ssp_nstages <5>: Number of stages Many br

Many br

### See Also

TSSSP, TSSSPGetType(), TSSSPSetNumStages(), TSSSPRKS2, TSSSPRKS3, TSSSPRK104

Level:beginner
Location:src/ts/impls/explicit/ssp/ssp.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages